package org.riediger.plist;

import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

public class PListDict {
	Map map;

	public PListDict() {
		map = new TreeMap();
	}

	public int size() {
		return map.size();
	}
	
	public Set entrySet() {
		return map.entrySet();
	}
	
	public void put(String key, Object value) {
		map.put(key, value);
	}

	public void remove(String key) {
		map.remove(key);
	}

	public Object get(String key) {
		return map.get(key);
	}

	public boolean containsKey(String key) {
		return map.containsKey(key);
	}

	public boolean getBoolean(String key) {
		return (((Boolean) (map.get(key))).booleanValue());
	}

	public int getInteger(String key) {
		return (((Integer) (map.get(key))).intValue());
	}

	public double getDouble(String key) {
		return (((Double) (map.get(key))).doubleValue());
	}

	public Date getDate(String key) {
		return (Date) (map.get(key));
	}

	public void putBoolean(String key, boolean value) {
		map.put(key, new Boolean(value));
	}

	public void putInteger(String key, int value) {
		map.put(key, new Integer(value));
	}

	public void putDouble(String key, double value) {
		map.put(key, new Double(value));
	}

	public void putDate(String key, Date value) {
		map.put(key, value);
	}

	public void putString(String key, String value) {
		map.put(key, value);
	}
	
	public PListDict getDict(String key) {
		return (PListDict)(map.get(key));
	}

	public void putDict(String key, PListDict value) {
		map.put(key, value);
	}

	public List getArray(String key) {
		return (List)(map.get(key));
	}
	
	public void putArray(String key, List value) {
		map.put(key, value);
	}

	public String getString(String key) {
		return (String)(map.get(key));
	}

	public Collection values() {
		return map.values();
	}
}
